emoslib (2:4.5.9-3) unstable; urgency=medium

  * Drop B-D on libpython2.7-dev. Closes: #936479

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 16:45:43 +0100

emoslib (2:4.5.9-2) unstable; urgency=medium

  * Standard-Version: 4.4.0
  * Build-Depend on gfortran | fortran-compiler
  * Use debhelper-compat (= 12)
  * Drop obsolete Pre-Depends in d/control (needed for multiarch)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Aug 2019 08:59:44 +0100

emoslib (2:4.5.9-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Dec 2018 05:06:10 +0000

emoslib (2:4.5.7-2) unstable; urgency=medium

  * Fix from John David Anglin for hppa FTBFS of metview. Closes: #905534

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Oct 2018 10:19:16 +0000

emoslib (2:4.5.7-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression in source/options
  * Drop B-D on grib-api-tools; obsolete

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Oct 2018 05:36:57 +0100

emoslib (2:4.5.5-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * Update URLs in d/watch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jul 2018 23:16:10 +0100

emoslib (2:4.5.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.4

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Apr 2018 09:33:42 +0100

emoslib (2:4.5.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.3
  * Set VCS to point to salsa.debian.org
  * Now installs in /usr directory; change install scripts, rules as needed
  * Delete broken symlinks in libemos-data. Closes: #867275
  * lintian-overrides to ignore in correct warnings 
  * Remove obsolete patches:
    - config.patch
    - wvqlid2.patch
    - huge.patch
    - links-fix.patch
  * Set GRIB_SAMPLES_PATH=/usr/share/eccodes/samples for tests
    
 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Mar 2018 11:06:06 +0000

emoslib (2:4.5.1-1) unstable; urgency=medium

  * New upstream release
  * refresh patches; fix-version.patch no longer needed
  * Define ECCODES_DEFINITION_PATH in debian/rules for tests
  * Depends on libeecodes-dev >= 2.4.1
  * Standards-Version: 4.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Aug 2017 09:01:13 +0100

emoslib (2:4.5.0-1) unstable; urgency=medium

  * New upstream release
  * Add debian/gbp.conf file
  * Change libemos-data to Arch: all

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Jul 2017 16:41:37 +0100

emoslib (2:4.4.9-1) unstable; urgency=medium

  * New upstream release
    - Updated shared.patch. SONAME,SOVERSIO no longer needed
  * Standards-Version: 4.0.0
  * Add watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Jul 2017 14:21:19 +0100

emoslib (2:4.4.7-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jun 2017 06:13:05 +0100

emoslib (2:4.4.7-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Mar 2017 13:09:45 +0000

emoslib (2:4.4.6-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Feb 2017 13:23:08 +0000

emoslib (2:4.4.5-2) unstable; urgency=medium

  * libopenjp2-7-dev needed as B-D since move to eccodes. Closes: 846501

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Dec 2016 19:01:47 +0000

emoslib (2:4.4.5-1) unstable; urgency=medium

  * New upstream release
  * Now build in preference against eccodes, not libgrib-api
  * Build-dep on libeccodes-dev >= 2.0.1-2 for cmake config change
  * libemos-bin now depends on libeccodes-tools, which ships bufr_filter
    instead of libemos-bin

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Nov 2016 07:11:28 +0000

emoslib (2:4.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Oct 2016 11:13:45 +0100

emoslib (2:4.4.3-1) unstable; urgency=medium

  * New upstream release. Closes: #832412.
  * DH_COMPAT=10, with debhelper dependency >= 10

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Sep 2016 07:14:21 +0100

emoslib (2:4.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Use dpkg-architecture go get list of little-endian archs
    on which we don't run tests, instead of hard-coded list.
  * Avoid chrpath -d on non-ELF binaries

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 23:02:46 +0100

emoslib (2:4.4.1-5) unstable; urgency=medium

  * Remove unnecessary libpng, openjpeg dependencies. Closes: #82611

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jun 2016 08:15:40 +0100

emoslib (2:4.4.1-4) unstable; urgency=medium

  * regression; re-add sparc64 to FPIC list. Closes: #813649

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Jun 2016 17:26:12 +0100

emoslib (2:4.4.1-3) unstable; urgency=medium

  * Fix symlink land_sea_mask -> interpol. Closes: #825579

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 May 2016 17:23:28 +0100

emoslib (2:4.4.1-2) unstable; urgency=medium

  * Add dependency on libpython2.7-dev, libnetcdf-dev. No longer pulled in
    automatically. Closes: #824007

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 May 2016 15:22:31 +0100

emoslib (2:4.4.1-1) unstable; urgency=medium

  * New upstream release. Closes: #747585.
    - links-fix.patch merged upstream.
  * Standards-Version: 3.9.8
  * Patch from boyska to fix reproducible shells issue. Closes: #821356
  * chrpath all binaries.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 May 2016 02:03:21 +0100

emoslib (2:4.3.9-2) unstable; urgency=medium

  * Set mcmodel=medany for sparc64.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Mar 2016 10:48:07 +0000

emoslib (2:4.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Add missing *.distinct files to bufrtables. Closes: #799854

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Mar 2016 20:24:00 +0000

emoslib (2:4.3.7-2) unstable; urgency=medium

  * Drop dependency on Jasper.  Latest grib-api no longer uses it;
    jasper is being dropped from Debian in favour of openjpeg, as it is
    obsolete and unsupported.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Mar 2016 07:17:03 +0000

emoslib (2:4.3.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on sparc64. Closes: #813649.
    - Set mcmodel=medany in debian/rules.
    - Add sparc64 to FPIC_LIST in debian/rules.
  * Remove trailing spaces in debian/changelog.
  * Wrap lines longer than 80 columns in debian/changelog.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 08 Feb 2016 09:46:14 +0100

emoslib (2:4.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Use -fPIC on m68k. Closes: #810389.
  * Standards-Version: 3.9.7. No changes required.
  * FFTW3 now required by EMOSLIB.
  * Set mcmodel=large for sparc64. Closes: #813649.
  * Ack, previously fixed symlink bug: Closes: #799854.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Feb 2016 13:04:39 +0000

emoslib (2:4.3.3-2) unstable; urgency=medium

  * Change libpng12-dev to libpng-dev for png16 transition. Closes: #810168.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2016 17:11:03 +0000

emoslib (2:4.3.3-1) unstable; urgency=medium

  * New upstream release.
    Provides new octahedral Gauss. grid support.
  * Refreshed patches. huge.patch, wvqlid2.patch no longer needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Jan 2016 03:39:28 +0000

emoslib (2:4.1.1-6) unstable; urgency=medium

  * Use -fPIC building on s390x to resolve GOT linking errors.
  * Link "--as-needed".

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Nov 2015 19:12:20 +0000

emoslib (2:4.1.1-5) unstable; urgency=medium

  * Add s390x to the list of archs on which we disable tests.
  * Set INTERPOL_TABLES_PATH during build to be install location.
  * Set libemos-bin as MultiArch: allowed, with libemos-dev depend on
    libemos-bin:any
  * Fix interpol links in libemos-data to be relative.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2015 13:17:32 +0000

emoslib (2:4.1.1-4) unstable; urgency=medium

  * Disable tests for big-endian systems (being worked on upstream).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2015 03:05:01 +0000

emoslib (2:4.1.1-3) experimental; urgency=medium

  * Disable download of bufr tests.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Oct 2015 16:06:30 +0000

emoslib (2:4.1.1-2) experimental; urgency=medium

  * Change /usr/lib/*/cmake/Emos -> /usr/lib/*/cmake/libemos
  * libemos-dev now depends on libemos-bin as cmake configs
    assume binaries are available.
  * Now need libboost-test-dev optional package.
  * Re-enable tests.
  * Fixup libemos-dev cmake files for metview to compile.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Oct 2015 20:58:07 +0100

emoslib (2:4.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Oct 2015 12:38:35 +0100

emoslib (2:4.0.7-4) unstable; urgency=medium

  * Build fix for SIGN() real type problem on kFreeBSD in csect4.F.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Aug 2015 17:09:48 +0100

emoslib (2:4.0.7-3) unstable; urgency=medium

  * Disable tests to allow emos to proceed for gcc5 transition;
    working on the issue (see #793955) with upstream;
    code in question is obsolete and being removed.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2015 19:23:44 +0100

emoslib (2:4.0.7-2) experimental; urgency=medium

  * Enable tests.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Jul 2015 13:38:30 +0100

emoslib (2:4.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jul 2015 09:02:02 +0100

emoslib (2:4.0.3+dfsg.1-4) unstable; urgency=medium

  * ppc64el build needs both -fpic and -mcmodel=large. Closes: #790078.
  * Need to add build_fixes.patch to ensure __GNU__ set properly for Hurd.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jul 2015 16:58:16 +0100

emoslib (2:4.0.3+dfsg.1-3) unstable; urgency=medium

  * drop_tune.patch: Drop -mtune=native which breaks s390x port.
  * Don't set -mcmodel=large on arm64, as large+fpic doesn't work.
  * Homepage fixed. Closes: #769179.
  * Build ppc64el, sparc -fPIC not fpic.
  * Build fix for Hurd-i386: Add ifdef __GNU__ case.
  * Install cmake module in arch-dependent dir. Closes: #790344.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jul 2015 07:44:50 +0100

emoslib (2:4.0.3+dfsg.1-2) unstable; urgency=medium

  * Remove rpath from shlibs. B-D on chrpath.
  * Fix sed rules that broke some symlinks.
  * Add bufrnum back to shlib in new cmake-build system.
  * Change Vcs-Git url to canonical anonscm form.
  * Use mcmodel=medium on amd64,ppc64; =large on arm64, drop it elsewhere.
    Closes: #790077, #790078.
  * Set DISABLE_OS_CHECK=ON to build on Hurd, KFreeBSD again.
    Closes: #790079.
  * Dedup. libemos-data stuff in interpol, land_sea_mask.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Jun 2015 12:33:00 +0100

emoslib (2:4.0.3+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Change epoch as version format changes 000392 -> 4.0.3.
  * Standards-Version: 3.9.6.
  * Switch to cmake-based buildsystem. Lots more dependencies and code.
  * Add libemos-bin package for new binaries (bufr_*, others).
  * examples/ directory removed.
  * Add Vcs-Git: debian-science to debian/control.
  * Build-dependencies: grib-api > 1.9.16, libgrib-api-tools.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jun 2015 20:55:05 +0100

emoslib (000392+dfsg.1-3) unstable; urgency=medium

  * Acknowledge previously fixed bug (new version): Closes: #622860.
  * Delete link to non-existent config.h file. Closes: #742684.
  * Compress with xz.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Sep 2014 07:01:40 +0100

emoslib (000392+dfsg.1-2) unstable; urgency=medium

  * Standards-Version: 3.9.5
  * Include grib_api_merging/* into libemos* for MetView.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Dec 2013 19:32:19 +0000

emoslib (000392+dfsg.1-1) unstable; urgency=low

  * New upstream release.  Now with Apache 2.0 license, not GPL.
  * Standards-Version: 3.9.4; no changes required.
  * debhelper depends >=9 now.
  * Make -dev pkg multiarch: same, -data is m-a: foreign. Closes: #693599.
  * Enable hardening in shared library; build all objects fortified.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Apr 2013 05:25:57 +0100

emoslib (000382+dfsg-2) unstable; urgency=low

  * Don't hardcode quadmath; it breaks on some archs. Instead let it be
    pulled in by -lgfortran.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Dec 2011 14:33:21 +0000

emoslib (000382+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Nove from cdbs to debhelper 9
  * Move to Multi-Arch.
  * Standards-Version: 3.9.2
  * Now build-depend on grib-api-1.9.9.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Dec 2011 16:18:04 +0000

emoslib (000380+dfsg-3) unstable; urgency=low

  * Fix for FTBFS on powerpc due to hard-coded max value.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Mar 2010 10:21:14 +0100

emoslib (000380+dfsg-2) unstable; urgency=low

  * Move to Standards-Version: 3.8.4; no changes required.
  * Disable new function WVQLID2 in interpolation/ ; it requires an
    external function that is not present, and causes the sharedlib
    not to link. Closes: #571396.
  * Add DEP-3 tags to patches.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Feb 2010 13:59:04 +0000

emoslib (000380+dfsg-1) unstable; urgency=low

  * New upstream release.
  * remove_sharedllib_dbg patch now needed. Added file sharedlib.c to
    interpolation/sources.linux.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2010 13:57:20 +0000

emoslib (000371+dfsg-3) unstable; urgency=low

  * Remove quilt rule, which conflicts with  source format 3. Closes: #561382.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Dec 2009 21:31:05 +0000

emoslib (000371+dfsg-2) unstable; urgency=low

  * Fix broken patch that lead to non-shared code. Closes: #559944.
  * Source format 3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Dec 2009 13:38:29 +0000

emoslib (000371+dfsg-1) unstable; urgency=low

  * New upstream release: EMOS_00371.
  * Move to standards: 3.8.3.
  * Patch largefile.patch needed for new sharedlib.c bug in 000371.
  * Add underscore_names patch to add file to sources.linux in interpolation/.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Dec 2009 20:26:14 +0000

emoslib (000370.dfsg.2-1) unstable; urgency=low

  * Updated version emos_000370 contains the following fixes:
      Latest Emos library 000370 is updated on 7.9.2009 due to
      changes of N320 Reduced Gaussian Grid definition.

      Beside of N320 there are two more changes:
      - insane.F : Set env variable INCREMENT_NO_LIMIT=1 to
        avoid check of limit for increment size
      - wavexxx.F: Bug Fix for calculation of latitudes.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Sep 2009 15:36:35 +0100

emoslib (000370+dfsg-6) unstable; urgency=low

  * Move to Standards-Version: 3.8.2. No changes required.
  * DH_COMPAT=7 now. ditto.
  * Prep. for building with source format 3.0. Closes: #538678.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Aug 2009 16:30:25 +0100

emoslib (000370+dfsg-5) unstable; urgency=low

  * Add Build-Depends: automake. Text with pbuilder. Closes: #529993.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 May 2009 21:39:32 +0100

emoslib (000370+dfsg-4) unstable; urgency=low

  * Change -fpic to -fPIC to fix breakage on sparc and other arches.
  * Add little_endian.patch : use configure to detect endianness during build.
    As a side-effect it adds GNU targets such as ChangeLog: I've added some
    content from the ECMWF website.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 May 2009 20:31:30 +0100

emoslib (000370+dfsg-3) unstable; urgency=low

  * Remove -m32 compiler flag which causes build failures on most architectures.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 May 2009 22:16:53 +0100

emoslib (000370+dfsg-2) unstable; urgency=low

  * Add dependency on gfortran.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 May 2009 12:12:06 +0100

emoslib (000370+dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #522755.
  * Remove pdf documentation for dfsg release.
  * Rename (unreleased) package names libemos0d to reflect its a Debian-only
    shared-library at the moment
    (see http://lists.debian.org/debian-devel/2009/03/msg01019.html).

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 May 2009 23:32:19 +0100

emoslib (000360-1) unstable; urgency=low

  * Initial Debian release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  9 Apr 2009 16:15:52 +0100
